Option Explicit On 
Option Strict On
Option Compare Binary

Imports System

' <remarks>
'   Stellt den Einsprungspunkt der Anwendung bereit.
' </remarks>
Public Class Main

    ' <summary>
    '   Der Einsprungspunkt der Anwendung.
    ' </summary>
    Public Shared Sub Main()
        Console.Write("Domain (z.B. ""siemens.de"" oder eine IP-Adresse): ")
        Dim wr As New WhoisResolver()
        wr.Domain = Console.ReadLine()
        Console.Write("WHOIS-Server (leere Eingabe fr automatische Suche): ")
        wr.WhoisServer = Console.ReadLine()
        wr.AutoSearch = (wr.WhoisServer.Length = 0)

        Try
            Console.WriteLine(wr.Resolve())
        Catch ex As Exception
            Console.WriteLine("Fehler: {0}", ex.Message)
        End Try
    End Sub
End Class